use Ryml;
unit module Ryml::Components;

enum AcceptT is export <ACCEPT_audio/* ACCEPT_video/* ACCEPT_image/*>;
enum AlignT is export <ALIGN_left ALIGN_right ALIGN_top ALIGN_middle ALIGN_bottom>;
enum AutocompleteT is export <AUTOCOMPLETE_on AUTOCOMPLETE_off>;
enum BorderT is export <BORDER_1 BORDER_0>;
enum CaptionAlignT is export <CAPTIONALIGN_top CAPTIONALIGN_bottom CAPTIONALIGN_left CAPTIONALIGN_right>;
enum ClearT is export <CLEAR_none CLEAR_left CLEAR_right CLEAR_all>;
enum CrossoriginT is export <CROSSORIGIN_anonymous CROSSORIGIN_use-credentials>;
enum DirT is export <DIR_ltr DIR_rtl>;
enum DivAlignT is export <DIVALIGN_left DIVALIGN_right DIVALIGN_center DIVALIGN_justify>;
enum DropzoneT is export <DROPZONE_copy DROPZONE_move DROPZONE_link>;
enum EnctypeT is export <ENCTYPE_application/x-www-form-urlencoded ENCTYPE_multipart/form-data ENCTYPE_text/plain>;
enum FormenctypeT is export <FORMENCTYPE_application/x-www-form-urlencoded FORMENCTYPE_multipart/form-data FORMENCTYPE_text/plain>;
enum FormmethodT is export <FORMMETHOD_get FORMMETHOD_post>;
enum FormtargetT is export <FORMTARGET__blank FORMTARGET__self FORMTARGET__parent FORMTARGET__top>;
enum FrameT is export <FRAME_above FRAME_below FRAME_border FRAME_box FRAME_hsides FRAME_lhs FRAME_rhs FRAME_void FRAME_vsides>;
enum FrameborderT is export <FRAMEBORDER_0 FRAMEBORDER_1>;
enum H1AlignT is export <H1ALIGN_left H1ALIGN_right H1ALIGN_center H1ALIGN_justify>;
enum H2AlignT is export <H2ALIGN_left H2ALIGN_right H2ALIGN_center H2ALIGN_justify>;
enum H3AlignT is export <H3ALIGN_left H3ALIGN_right H3ALIGN_center H3ALIGN_justify>;
enum H4AlignT is export <H4ALIGN_left H4ALIGN_right H4ALIGN_center H4ALIGN_justify>;
enum H5AlignT is export <H5ALIGN_left H5ALIGN_right H5ALIGN_center H5ALIGN_justify>;
enum HiddenT is export <HIDDEN_hidden HIDDEN_UNSET>;
enum HrAlignT is export <HRALIGN_left HRALIGN_center HRALIGN_right>;
enum Http-equivT is export <HTTP-EQUIV_content-type HTTP-EQUIV_default-style HTTP-EQUIV_refresh>;
enum InputTypeT is export <INPUTTYPE_button INPUTTYPE_checkbox INPUTTYPE_color INPUTTYPE_date  INPUTTYPE_datetime  INPUTTYPE_datetime-local  INPUTTYPE_email  INPUTTYPE_file INPUTTYPE_hidden INPUTTYPE_image INPUTTYPE_month  INPUTTYPE_number  INPUTTYPE_password INPUTTYPE_radio INPUTTYPE_range  INPUTTYPE_reset INPUTTYPE_search INPUTTYPE_submit INPUTTYPE_tel INPUTTYPE_text INPUTTYPE_time  INPUTTYPE_url INPUTTYPE_week>;
enum LegendAlignT is export <LEGENDALIGN_top LEGENDALIGN_bottom LEGENDALIGN_left LEGENDALIGN_right>;
enum LiTypeT is export <LITYPE_circle LITYPE_disc LITYPE_square LITYPE_a LITYPE_A LITYPE_i LITYPE_I LITYPE_1>;
enum LinkRelT is export <LINKREL_alternate LINKREL_author LINKREL_help LINKREL_icon LINKREL_license LINKREL_next LINKREL_prefetch LINKREL_prev LINKREL_search LINKREL_stylesheet LINKREL_tag>;
enum MethodT is export <METHOD_get METHOD_post>;
enum NameT is export <NAME_application-name NAME_author NAME_description NAME_generator NAME_keywords>;
enum OlTypeT is export <OLTYPE_1 OLTYPE_A OLTYPE_a OLTYPE_I OLTYPE_i>;
enum PAlignT is export <PALIGN_left PALIGN_right PALIGN_center PALIGN_justify>;
enum RelT is export <REL_alternate REL_author REL_bookmark REL_help REL_license REL_next REL_nofollow REL_noreferrer REL_prefetch REL_prev REL_search REL_tag>;
enum RulesT is export <RULES_all RULES_cols RULES_groups RULES_none RULES_rows>;
enum SandboxT is export <SANDBOX_allow-forms SANDBOX_allow-pointer-lock SANDBOX_allow-popups SANDBOX_allow-same-origin SANDBOX_allow-scripts SANDBOX_allow-top-navigation>;
enum ScopeT is export <SCOPE_col SCOPE_colgroup SCOPE_row SCOPE_rowgroup>;
enum ScrollingT is export <SCROLLING_yes SCROLLING_no SCROLLING_auto>;
enum ShapeT is export <SHAPE_rect SHAPE_circle SHAPE_poly SHAPE_default>;
enum TableAlignT is export <TABLEALIGN_left TABLEALIGN_center TABLEALIGN_right>;
enum TargetT is export <TARGET__blank TARGET__parent TARGET__self TARGET__top>;
enum TypeT is export <TYPE_button TYPE_submit TYPE_reset>;
enum ValignT is export <VALIGN_top VALIGN_middle VALIGN_bottom VALIGN_baseline>;
enum ValuetypeT is export <VALUETYPE_data VALUETYPE_ref VALUETYPE_object>;
enum WrapT is export <WRAP_hard WRAP_soft>;


sub circumfix:<a[ ]> (
  *@children,

  Str :$accesskey,
  Str :$charset,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Regex :$coords,
  Str :$data,
  DirT :$dir,
  Str :$download,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$href,
  Str :$hreflang,
  Str :$id,
  Str :$lang,
  Str :$media,
  Str :$name,
  RelT :$rel,
  Str :$rev,
  ShapeT :$shape,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  TargetT :$target,
  Str :$title,
  Bool :$translate,
  Str :$type,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<a>,
           :@children,
           :tags({
             :$accesskey,
             :$charset,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$coords,
             :$data,
             :$dir,
             :$download,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$href,
             :$hreflang,
             :$id,
             :$lang,
             :$media,
             :$name,
             :$rel,
             :$rev,
             :$shape,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$target,
             :$title,
             :$translate,
             :$type,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<abbr[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<abbr>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<acronym[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<acronym>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<address[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<address>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<applet[ ]> (
  *@children,

  Str :$accesskey,
  AlignT :$align,
  Str :$alt,
  Str :$archive,
  Array[Str] :$class,
  Str :$code,
  Str :$codebase,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  Int :$height,
  HiddenT :$hidden,
  Int :$hspace,
  Str :$id,
  Str :$lang,
  Str :$name,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Int :$vspace,
  Int :$width,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<applet>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$alt,
             :$archive,
             :$class,
             :$code,
             :$codebase,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$height,
             :$hidden,
             :$hspace,
             :$id,
             :$lang,
             :$name,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$vspace,
             :$width,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<area[ ]> (
  *@children,

  Str :$accesskey,
  Str :$alt,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Array[Int] :$coords,
  Str :$data,
  DirT :$dir,
  Str :$download,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$href,
  Str :$hreflang,
  Str :$id,
  Str :$lang,
  Str :$media,
  Bool :$nohref,
  RelT :$rel,
  ShapeT :$shape,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  TargetT :$target,
  Str :$title,
  Bool :$translate,
  Str :$type,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<area>,
           :@children,
           :tags({
             :$accesskey,
             :$alt,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$coords,
             :$data,
             :$dir,
             :$download,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$href,
             :$hreflang,
             :$id,
             :$lang,
             :$media,
             :$nohref,
             :$rel,
             :$shape,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$target,
             :$title,
             :$translate,
             :$type,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<article[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<article>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<aside[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<aside>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<audio[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<audio>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<b[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<b>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<base[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$href,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  TargetT :$target,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<base>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$href,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$target,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<basefont[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Str :$color,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  Str :$face,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Str :$size,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<basefont>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$color,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$face,
             :$hidden,
             :$id,
             :$lang,
             :$size,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<bdi[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<bdi>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<bdo[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<bdo>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<big[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<big>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<blockquote[ ]> (
  *@children,

  Str :$accesskey,
  Str :$cite,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<blockquote>,
           :@children,
           :tags({
             :$accesskey,
             :$cite,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<body[ ]> (
  *@children,

  Str :$accesskey,
  Str :$alink,
  Str :$background,
  Str :$bgcolor,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Str :$link,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$text,
  Str :$title,
  Bool :$translate,
  Str :$vlink,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<body>,
           :@children,
           :tags({
             :$accesskey,
             :$alink,
             :$background,
             :$bgcolor,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$link,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$text,
             :$title,
             :$translate,
             :$vlink,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<br[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  ClearT :$clear,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<br>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$clear,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<button[ ]> (
  *@children,

  Str :$accesskey,
  Bool :$autofocus,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$disabled,
  Bool :$draggable,
  DropzoneT :$dropzone,
  Str :$form,
  Str :$formaction,
  FormenctypeT :$formenctype,
  FormmethodT :$formmethod,
  Bool :$formnovalidate,
  FormtargetT :$formtarget,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Str :$name,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  TypeT :$type,
  Str :$value,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<button>,
           :@children,
           :tags({
             :$accesskey,
             :$autofocus,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$disabled,
             :$draggable,
             :$dropzone,
             :$form,
             :$formaction,
             :$formenctype,
             :$formmethod,
             :$formnovalidate,
             :$formtarget,
             :$hidden,
             :$id,
             :$lang,
             :$name,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$type,
             :$value,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<canvas[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  Int :$height,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Int :$width,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<canvas>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$height,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$width,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<caption[ ]> (
  *@children,

  Str :$accesskey,
  CaptionAlignT :$align,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<caption>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<center[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<center>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<cite[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<cite>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<code[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<code>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<col[ ]> (
  *@children,

  Str :$accesskey,
  AlignT :$align,
  Regex :$char,
  Str :$charoff,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Int :$span,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  ValignT :$valign,
  Int :$width,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<col>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$char,
             :$charoff,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$span,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$valign,
             :$width,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<colgroup[ ]> (
  *@children,

  Str :$accesskey,
  AlignT :$align,
  Regex :$char,
  Str :$charoff,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Int :$span,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  ValignT :$valign,
  Int :$width,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<colgroup>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$char,
             :$charoff,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$span,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$valign,
             :$width,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<data[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$value,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<data>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$value,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<datalist[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<datalist>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<dd[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<dd>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<del[ ]> (
  *@children,

  Str :$accesskey,
  Str :$cite,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DateTime :$datetime,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<del>,
           :@children,
           :tags({
             :$accesskey,
             :$cite,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$datetime,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<details[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<details>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<dfn[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<dfn>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<dialog[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$open,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<dialog>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$open,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<dir[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$compact,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<dir>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$compact,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<div[ ]> (
  *@children,

  Str :$accesskey,
  DivAlignT :$align,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<div>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<dl[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<dl>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<dt[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<dt>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<em[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<em>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<embed[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<embed>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<fieldset[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<fieldset>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<figcaption[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<figcaption>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<figure[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<figure>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<font[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Str :$color,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  Str :$face,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Str :$size,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<font>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$color,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$face,
             :$hidden,
             :$id,
             :$lang,
             :$size,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<footer[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<footer>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<form[ ]> (
  *@children,

  Str :$accept,
  Str :$accept-charset,
  Str :$accesskey,
  Str :$action,
  AutocompleteT :$autocomplete,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  EnctypeT :$enctype,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  MethodT :$method,
  Str :$name,
  Bool :$novalidate,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  TargetT :$target,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<form>,
           :@children,
           :tags({
             :$accept,
             :$accept-charset,
             :$accesskey,
             :$action,
             :$autocomplete,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$enctype,
             :$hidden,
             :$id,
             :$lang,
             :$method,
             :$name,
             :$novalidate,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$target,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<frame[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  FrameborderT :$frameborder,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Str :$longdesc,
  Int :$marginheight,
  Int :$marginwidth,
  Str :$name,
  Bool :$noresize,
  ScrollingT :$scrolling,
  Bool :$spellcheck,
  Str :$src,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<frame>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$frameborder,
             :$hidden,
             :$id,
             :$lang,
             :$longdesc,
             :$marginheight,
             :$marginwidth,
             :$name,
             :$noresize,
             :$scrolling,
             :$spellcheck,
             :$src,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<frameset[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Array[Num] :$cols,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Array[Num] :$rows,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<frameset>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$cols,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$rows,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<h1[ ]> (
  *@children,

  Str :$accesskey,
  H1AlignT :$align,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<h1>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<h2[ ]> (
  *@children,

  Str :$accesskey,
  H2AlignT :$align,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<h2>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<h3[ ]> (
  *@children,

  Str :$accesskey,
  H3AlignT :$align,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<h3>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<h4[ ]> (
  *@children,

  Str :$accesskey,
  H4AlignT :$align,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<h4>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<h5[ ]> (
  *@children,

  Str :$accesskey,
  H5AlignT :$align,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<h5>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<head[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Str :$profile,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<head>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$profile,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<hgroup[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<hgroup>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<hr[ ]> (
  *@children,

  Str :$accesskey,
  HrAlignT :$align,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$noshade,
  Int :$size,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Int :$width,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<hr>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$noshade,
             :$size,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$width,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<html[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Str :$manifest,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$version,
  Str :$xml-lang,
  Str :$xmlns,
   --> RyEl) is export {

  RyEl.new(:tag<html>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$manifest,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$version,
             :$xml-lang,
             :$xmlns,
            })
          ); 
}


sub circumfix:<i[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<i>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<iframe[ ]> (
  *@children,

  Str :$accesskey,
  AlignT :$align,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  FrameborderT :$frameborder,
  Int :$height,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Str :$longdesc,
  Int :$marginheight,
  Int :$marginwidth,
  Str :$name,
  SandboxT :$sandbox,
  ScrollingT :$scrolling,
  Bool :$seamless,
  Bool :$spellcheck,
  Str :$src,
  Str :$srcdoc,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Int :$width,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<iframe>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$frameborder,
             :$height,
             :$hidden,
             :$id,
             :$lang,
             :$longdesc,
             :$marginheight,
             :$marginwidth,
             :$name,
             :$sandbox,
             :$scrolling,
             :$seamless,
             :$spellcheck,
             :$src,
             :$srcdoc,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$width,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<img[ ]> (
  *@children,

  Str :$accesskey,
  AlignT :$align,
  Str :$alt,
  Int :$border,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  CrossoriginT :$crossorigin,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  Int :$height,
  HiddenT :$hidden,
  Int :$hspace,
  Str :$id,
  Bool :$ismap,
  Str :$lang,
  Str :$longdesc,
  Bool :$spellcheck,
  Str :$src,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$usemap,
  Int :$vspace,
  Int :$width,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<img>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$alt,
             :$border,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$crossorigin,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$height,
             :$hidden,
             :$hspace,
             :$id,
             :$ismap,
             :$lang,
             :$longdesc,
             :$spellcheck,
             :$src,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$usemap,
             :$vspace,
             :$width,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<input[ ]> (
  *@children,

  AcceptT :$accept,
  Str :$accesskey,
  AlignT :$align,
  Str :$alt,
  AutocompleteT :$autocomplete,
  Bool :$autofocus,
  Bool :$checked,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$disabled,
  Bool :$draggable,
  DropzoneT :$dropzone,
  Str :$form,
  Str :$formaction,
  FormenctypeT :$formenctype,
  FormmethodT :$formmethod,
  Bool :$formnovalidate,
  FormtargetT :$formtarget,
  Int :$height,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Str :$list,
  DateTime :$max,
  Str :$maxlength,
  DateTime :$min,
  Str :$minlength,
  Bool :$multiple,
  Str :$name,
  Regex :$pattern,
  Str :$placeholder,
  Bool :$readonly,
  Bool :$required,
  Str :$size,
  Bool :$spellcheck,
  Str :$src,
  DateTime :$step,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  InputTypeT :$type,
  Str :$value,
  Int :$width,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<input>,
           :@children,
           :tags({
             :$accept,
             :$accesskey,
             :$align,
             :$alt,
             :$autocomplete,
             :$autofocus,
             :$checked,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$disabled,
             :$draggable,
             :$dropzone,
             :$form,
             :$formaction,
             :$formenctype,
             :$formmethod,
             :$formnovalidate,
             :$formtarget,
             :$height,
             :$hidden,
             :$id,
             :$lang,
             :$list,
             :$max,
             :$maxlength,
             :$min,
             :$minlength,
             :$multiple,
             :$name,
             :$pattern,
             :$placeholder,
             :$readonly,
             :$required,
             :$size,
             :$spellcheck,
             :$src,
             :$step,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$type,
             :$value,
             :$width,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<ins[ ]> (
  *@children,

  Str :$accesskey,
  Str :$cite,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DateTime :$datetime,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<ins>,
           :@children,
           :tags({
             :$accesskey,
             :$cite,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$datetime,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<kbd[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<kbd>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<keygen[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<keygen>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<label[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  Str :$for,
  Str :$form,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<label>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$for,
             :$form,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<legend[ ]> (
  *@children,

  Str :$accesskey,
  LegendAlignT :$align,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<legend>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<li[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  LiTypeT :$type,
  Str :$value,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<li>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$type,
             :$value,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<link[ ]> (
  *@children,

  Str :$accesskey,
  Str :$charset,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  CrossoriginT :$crossorigin,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$href,
  Str :$hreflang,
  Str :$id,
  Str :$lang,
  Str :$media,
  LinkRelT :$rel,
  Str :$rev,
  Str :$sizes,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  TargetT :$target,
  Str :$title,
  Bool :$translate,
  Str :$type,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<link>,
           :@children,
           :tags({
             :$accesskey,
             :$charset,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$crossorigin,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$href,
             :$hreflang,
             :$id,
             :$lang,
             :$media,
             :$rel,
             :$rev,
             :$sizes,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$target,
             :$title,
             :$translate,
             :$type,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<main[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<main>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<map[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Str :$name,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<map>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$name,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<mark[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<mark>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<menu[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$label,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  TypeT :$type,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<menu>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$label,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$type,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<menuitem[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<menuitem>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<meta[ ]> (
  *@children,

  Str :$accesskey,
  Str :$charset,
  Array[Str] :$class,
  Str :$content,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Http-equivT :$http-equiv,
  Str :$id,
  Str :$lang,
  NameT :$name,
  Str :$scheme,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<meta>,
           :@children,
           :tags({
             :$accesskey,
             :$charset,
             :$class,
             :$content,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$http-equiv,
             :$id,
             :$lang,
             :$name,
             :$scheme,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<meter[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<meter>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<nav[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<nav>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<noframes[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<noframes>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<noscript[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<noscript>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<object[ ]> (
  *@children,

  Str :$accesskey,
  AlignT :$align,
  Str :$archive,
  Int :$border,
  Array[Str] :$class,
  Str :$classid,
  Str :$codebase,
  Str :$codetype,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  Bool :$declare,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  Str :$form,
  Int :$height,
  HiddenT :$hidden,
  Int :$hspace,
  Str :$id,
  Str :$lang,
  Str :$name,
  Bool :$spellcheck,
  Str :$standby,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$type,
  Str :$usemap,
  Int :$vspace,
  Int :$width,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<object>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$archive,
             :$border,
             :$class,
             :$classid,
             :$codebase,
             :$codetype,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$declare,
             :$dir,
             :$draggable,
             :$dropzone,
             :$form,
             :$height,
             :$hidden,
             :$hspace,
             :$id,
             :$lang,
             :$name,
             :$spellcheck,
             :$standby,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$type,
             :$usemap,
             :$vspace,
             :$width,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<ol[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$compact,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$reversed,
  Bool :$spellcheck,
  Str :$start,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  OlTypeT :$type,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<ol>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$compact,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$reversed,
             :$spellcheck,
             :$start,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$type,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<optgroup[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$disabled,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$label,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<optgroup>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$disabled,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$label,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<option[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$disabled,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$label,
  Str :$lang,
  Bool :$selected,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$value,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<option>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$disabled,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$label,
             :$lang,
             :$selected,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$value,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<output[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<output>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<p[ ]> (
  *@children,

  Str :$accesskey,
  PAlignT :$align,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<p>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<param[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Str :$name,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$type,
  Str :$value,
  ValuetypeT :$valuetype,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<param>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$name,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$type,
             :$value,
             :$valuetype,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<picture[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<picture>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<pre[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$width,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<pre>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$width,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<progress[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<progress>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<q[ ]> (
  *@children,

  Str :$accesskey,
  Str :$cite,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<q>,
           :@children,
           :tags({
             :$accesskey,
             :$cite,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<rp[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<rp>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<rt[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<rt>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<ruby[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<ruby>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<s[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<s>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<samp[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<samp>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<script[ ]> (
  *@children,

  Str :$accesskey,
  Bool :$async,
  Str :$charset,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  Bool :$defer,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$src,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$type,
  Str :$xml-lang,
  Bool :$xml-space,
   --> RyEl) is export {

  RyEl.new(:tag<script>,
           :@children,
           :tags({
             :$accesskey,
             :$async,
             :$charset,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$defer,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$src,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$type,
             :$xml-lang,
             :$xml-space,
            })
          ); 
}


sub circumfix:<section[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<section>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<select[ ]> (
  *@children,

  Str :$accesskey,
  Bool :$autofocus,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$disabled,
  Bool :$draggable,
  DropzoneT :$dropzone,
  Str :$form,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$multiple,
  Str :$name,
  Bool :$required,
  Str :$size,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<select>,
           :@children,
           :tags({
             :$accesskey,
             :$autofocus,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$disabled,
             :$draggable,
             :$dropzone,
             :$form,
             :$hidden,
             :$id,
             :$lang,
             :$multiple,
             :$name,
             :$required,
             :$size,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<small[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<small>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<source[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<source>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<span[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<span>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<strike[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<strike>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<strong[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<strong>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<style[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Str :$media,
  Bool :$scoped,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Str :$type,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<style>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$media,
             :$scoped,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$type,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<sub[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<sub>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<summary[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<summary>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<sup[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<sup>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<svg[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<svg>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<table[ ]> (
  *@children,

  Str :$accesskey,
  TableAlignT :$align,
  Str :$bgcolor,
  BorderT :$border,
  Int :$cellpadding,
  Int :$cellspacing,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  FrameT :$frame,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  RulesT :$rules,
  Bool :$sortable,
  Bool :$spellcheck,
  Str :$style,
  Str :$summary,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  Int :$width,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<table>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$bgcolor,
             :$border,
             :$cellpadding,
             :$cellspacing,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$frame,
             :$hidden,
             :$id,
             :$lang,
             :$rules,
             :$sortable,
             :$spellcheck,
             :$style,
             :$summary,
             :$tabindex,
             :$title,
             :$translate,
             :$width,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<tbody[ ]> (
  *@children,

  Str :$accesskey,
  AlignT :$align,
  Regex :$char,
  Str :$charoff,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  ValignT :$valign,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<tbody>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$char,
             :$charoff,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$valign,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<td[ ]> (
  *@children,

  Str :$abbr,
  Str :$accesskey,
  AlignT :$align,
  Str :$axis,
  Str :$bgcolor,
  Regex :$char,
  Str :$charoff,
  Array[Str] :$class,
  Str :$colspan,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  Str :$headers,
  Int :$height,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$nowrap,
  Str :$rowspan,
  ScopeT :$scope,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  ValignT :$valign,
  Int :$width,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<td>,
           :@children,
           :tags({
             :$abbr,
             :$accesskey,
             :$align,
             :$axis,
             :$bgcolor,
             :$char,
             :$charoff,
             :$class,
             :$colspan,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$headers,
             :$height,
             :$hidden,
             :$id,
             :$lang,
             :$nowrap,
             :$rowspan,
             :$scope,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$valign,
             :$width,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<template[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<template>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<textarea[ ]> (
  *@children,

  Str :$accesskey,
  Bool :$autofocus,
  Array[Str] :$class,
  Str :$cols,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$disabled,
  Bool :$draggable,
  DropzoneT :$dropzone,
  Str :$form,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Str :$maxlength,
  Str :$minlength,
  Str :$name,
  Str :$placeholder,
  Bool :$readonly,
  Bool :$required,
  Str :$rows,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  WrapT :$wrap,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<textarea>,
           :@children,
           :tags({
             :$accesskey,
             :$autofocus,
             :$class,
             :$cols,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$disabled,
             :$draggable,
             :$dropzone,
             :$form,
             :$hidden,
             :$id,
             :$lang,
             :$maxlength,
             :$minlength,
             :$name,
             :$placeholder,
             :$readonly,
             :$required,
             :$rows,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$wrap,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<tfoot[ ]> (
  *@children,

  Str :$accesskey,
  AlignT :$align,
  Regex :$char,
  Str :$charoff,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  ValignT :$valign,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<tfoot>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$char,
             :$charoff,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$valign,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<th[ ]> (
  *@children,

  Str :$abbr,
  Str :$accesskey,
  AlignT :$align,
  Str :$axis,
  Str :$bgcolor,
  Regex :$char,
  Str :$charoff,
  Array[Str] :$class,
  Str :$colspan,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  Str :$headers,
  Int :$height,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$nowrap,
  Str :$rowspan,
  ScopeT :$scope,
  Num :$sorted,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  ValignT :$valign,
  Int :$width,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<th>,
           :@children,
           :tags({
             :$abbr,
             :$accesskey,
             :$align,
             :$axis,
             :$bgcolor,
             :$char,
             :$charoff,
             :$class,
             :$colspan,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$headers,
             :$height,
             :$hidden,
             :$id,
             :$lang,
             :$nowrap,
             :$rowspan,
             :$scope,
             :$sorted,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$valign,
             :$width,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<thead[ ]> (
  *@children,

  Str :$accesskey,
  AlignT :$align,
  Regex :$char,
  Str :$charoff,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  ValignT :$valign,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<thead>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$char,
             :$charoff,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$valign,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<time[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<time>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<title[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<title>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<tr[ ]> (
  *@children,

  Str :$accesskey,
  AlignT :$align,
  Str :$bgcolor,
  Regex :$char,
  Str :$charoff,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  ValignT :$valign,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<tr>,
           :@children,
           :tags({
             :$accesskey,
             :$align,
             :$bgcolor,
             :$char,
             :$charoff,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$valign,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<track[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<track>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<tt[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<tt>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<u[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<u>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<ul[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$compact,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$tag,
  Str :$title,
  Bool :$translate,
  TypeT :$type,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<ul>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$compact,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$type,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<var[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<var>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<video[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<video>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}


sub circumfix:<wbr[ ]> (
  *@children,

  Str :$accesskey,
  Array[Str] :$class,
  Bool :$contenteditable,
  Str :$contextmenu,
  Str :$data,
  DirT :$dir,
  Bool :$draggable,
  DropzoneT :$dropzone,
  HiddenT :$hidden,
  Str :$id,
  Str :$lang,
  Bool :$spellcheck,
  Str :$style,
  Num :$tabindex,
  Str :$title,
  Bool :$translate,
  Str :$xml-lang,
   --> RyEl) is export {

  RyEl.new(:tag<wbr>,
           :@children,
           :tags({
             :$accesskey,
             :$class,
             :$contenteditable,
             :$contextmenu,
             :$data,
             :$dir,
             :$draggable,
             :$dropzone,
             :$hidden,
             :$id,
             :$lang,
             :$spellcheck,
             :$style,
             :$tabindex,
             :$title,
             :$translate,
             :$xml-lang,
            })
          ); 
}
